//	IcoCreator.h - Class which takes up a number of input files and creates an
//				   ico file from them.
//	----------------------------------------------------------------------------
//	This file is part of png2ico, a simple .ico file creator.
//	Copyright (c) 2011 Niall Moody.
//
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef ICOCREATOR_H_
#define ICOCREATOR_H_

#include "../JuceLibraryCode/JuceHeader.h"

///	Class which takes a number of input files and creates an ico file from them.
class IcoCreator
{
  public:
	///	Constructor.
	IcoCreator();
	///	Destructor.
	~IcoCreator();

	///	Adds a File to our input images list.
	void addFile(const File& phil);
	///	Clears our input images list.
	void clearFiles();

	///	Attempts to create an .ico file from the input images.
	/*!
		\return Returns true if successful.
	 */
	bool createIco(const File& path);
  private:
	///	Our input images.
	Array<File> inputImages;
};

#endif
