//	MainWindow.cpp - Simple DialogWindow subclass.
//	----------------------------------------------------------------------------
//	This file is part of png2ico, a simple .ico file creator.
//	Copyright (c) 2011 Niall Moody.
//
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "MainWindow.h"
#include "MainPanel.h"

//------------------------------------------------------------------------------
MainWindow::MainWindow(const String& commandLine):
DialogWindow(T("Niall's png2ico"), Colour(0xFFEEECE1), false)
{
	LookAndFeel::setDefaultLookAndFeel(laf = new BranchesLAF());
	setContentOwned(new MainPanel(), false);
	setResizable(false, false);
	centreWithSize(656, 320);
	setUsingNativeTitleBar(true);
	setVisible(true);

	if(commandLine.isNotEmpty())
		((MainPanel *)getContentComponent())->setCommandLine(commandLine);
}

//------------------------------------------------------------------------------
MainWindow::~MainWindow()
{
	LookAndFeel::setDefaultLookAndFeel(0);
}

//------------------------------------------------------------------------------
void MainWindow::closeButtonPressed()
{
	JUCEApplication::quit();
}
