//	MainWindow.h - Simple DialogWindow subclass.
//	----------------------------------------------------------------------------
//	This file is part of png2ico, a simple .ico file creator.
//	Copyright (c) 2011 Niall Moody.
//
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef MAINWINDOW_H_
#define MAINWINDOW_H_

#include "BranchesLAF.h"

#include "../JuceLibraryCode/JuceHeader.h"

///	Simple DialogWindow subclass.
class MainWindow : public DialogWindow
{
  public:
	///	Constructor.
	MainWindow(const String& commandLine);
	///	Destructor.
	~MainWindow();

	///	Quits the application.
	void closeButtonPressed();
  private:
	///	Our custom LookAndFeel.
	ScopedPointer<BranchesLAF> laf;
};

#endif
